New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Server crash on /npc create <name> #1657

Open
namePlayer opened this Issue Jan 5, 2019 · 3 comments

Comments

Projects
None yet
4 participants
@namePlayer
Copy link

namePlayer commented Jan 5, 2019

When i type in /npc create my server crash.

Error:

[14:01:29 INFO]: ============ DATABASE ERROR ============
[14:01:29 INFO]: There was an error updating the database.
[14:01:29 INFO]: - It will be corrected on shutdown
[14:01:29 INFO]: ========================================
[14:01:29 WARN]: org.bukkit.plugin.IllegalPluginAccessException: Plugin attempted to register task while disabled
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.validate(CraftScheduler.java:514)
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.runTaskTimerAsynchronously(CraftScheduler.java:219)
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.runTaskTimerAsynchronously(CraftScheduler.java:215)
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.runTaskLaterAsynchronously(CraftScheduler.java:166)
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.runTaskAsynchronously(CraftScheduler.java:135)
[14:01:29 WARN]: at com.plotsquared.bukkit.util.BukkitTaskManager.taskAsync(BukkitTaskManager.java:28)
[14:01:29 WARN]: at com.intellectualcrafters.plot.util.TaskManager.runTaskAsync(TaskManager.java:90)
[14:01:29 WARN]: at com.intellectualcrafters.plot.database.SQLManager$52.addBatch(SQLManager.java:2638)
[14:01:29 WARN]: at com.intellectualcrafters.plot.database.SQLManager.sendBatch(SQLManager.java:411)
[14:01:29 WARN]: at com.intellectualcrafters.plot.database.SQLManager.validateAllPlots(SQLManager.java:3063)
[14:01:29 WARN]: at com.intellectualcrafters.plot.database.DBFunc.validatePlots(DBFunc.java:79)
[14:01:29 WARN]: at com.intellectualcrafters.plot.PS.disable(PS.java:1590)
[14:01:29 WARN]: at com.plotsquared.bukkit.BukkitMain.onDisable(BukkitMain.java:292)
[14:01:29 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:256)
[14:01:29 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:360)
[14:01:29 WARN]: at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:437)
[14:01:29 WARN]: at org.bukkit.plugin.SimplePluginManager.disablePlugins(SimplePluginManager.java:424)
[14:01:29 WARN]: at org.bukkit.plugin.SimplePluginManager.disablePlugins(SimplePluginManager.java:417)
[14:01:29 WARN]: at org.bukkit.craftbukkit.v1_13_R2.CraftServer.disablePlugins(CraftServer.java:375)
[14:01:29 WARN]: at net.minecraft.server.v1_13_R2.MinecraftServer.stop(MinecraftServer.java:650)
[14:01:29 WARN]: at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:872)
[14:01:29 WARN]: at java.lang.Thread.run(Unknown Source)
[14:01:29 INFO]: ========================================

The output of command /version on my server is: This server is running Paper version git-Paper-492 (MC: 1.13.2) (Implementing API version 1.13.2-R0.1-SNAPSHOT)
The output of command /version citizens on my server is: [14:26:30 INFO]: Citizens version 2.0.24-SNAPSHOT (build 1591)

@mergu

This comment has been minimized.

Copy link
Contributor

mergu commented Jan 5, 2019

Always update both Paper/Spigot and Citizens before opening an issue. We can't provide support to old versions.
Paper update link: https://papermc.io/ci/job/Paper-1.13/
Citizens update link: http://ci.citizensnpcs.co/job/Citizens2/lastSuccessfulBuild

Your stacktrace doesn't have any indication Citizens is causing this. Please open an issue with the other plugins that are handling a database, and see https://wiki.citizensnpcs.co/Plugin_Conflict

@Jeremy3wa

This comment has been minimized.

Copy link

Jeremy3wa commented Jan 6, 2019

I have the same problem and I also have an old version because the latest versions of Citizens is enormously lag servers. And the TPS is in free fall
https://timings.aikar.co/?id=5ef1c0b4cb014153aab82f670f4664bc

@mcmonkey4eva

This comment has been minimized.

Copy link
Member

mcmonkey4eva commented Jan 6, 2019

@Jeremy3wa literally just follow the instructions @mergu replied to the original post with.
You're running a horrendously outdated copy of Paper - UPDATE IT.
And, naturally, update Citizens to latest as well.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment